
import java.util.*;
import java.io.*;

public class recovery_font
{
   public static void main(String[] args) throws Exception
   {
      PrintWriter out = new PrintWriter(System.out);
      new recovery_font(new FastScanner(System.in), out);
      out.close();
   }

   int[] readSum(String s)
   {
      int[] result = new int[s.length()];
      for (int i=0; i<s.length(); i++)
         result[i] = s.charAt(i)-'0';
      return result;
   }

   recovery_font(FastScanner in, PrintWriter out)
   {
      int[] rowParity = readSum(in.next());
      int[] colParity = readSum(in.next());

      int totalXor = 0;
      for (int r : rowParity)
         totalXor ^= r;
      for (int c : colParity)
         totalXor ^= c;

      if (totalXor == 1)
      {
         out.println(-1);
         return;
      }

      int numRows = rowParity.length;
      int numCols = colParity.length;
   
      boolean[] rowNeedZero = new boolean[numRows];
      boolean[] colNeedZero = new boolean[numCols];

      for (int i=0; i<numRows; i++)
         rowNeedZero[i] = (1 & numCols) != rowParity[i];
      for (int i=0; i<numCols; i++)
         colNeedZero[i] = (1 & numRows) != colParity[i];
   
      int numColNeeded = 0;
      int numRowNeeded = 0;
      for (int i=0; i<numRows; i++)
         if (rowNeedZero[i])
            numRowNeeded++;
      for (int i=0; i<numCols; i++)
         if (colNeedZero[i])
            numColNeeded++;

      int[][] grid = new int[numRows][numCols];
      for (int[] gg : grid)
         Arrays.fill(gg, 1);

      for (int i=0; i<numRows; i++)
      {
         for (int j=0; j<numCols; j++)
         {
            boolean placeZero = false;
            placeZero |= rowNeedZero[i] && colNeedZero[j];
            placeZero |= rowNeedZero[i] && numRowNeeded > numColNeeded;
            placeZero |= colNeedZero[j] && numColNeeded > numRowNeeded;
            
            if (placeZero)
            {
               grid[i][j] = 0;
               rowNeedZero[i] = !rowNeedZero[i];
               colNeedZero[j] = !colNeedZero[j];
               numRowNeeded += rowNeedZero[i] ? 1 : -1;
               numColNeeded += colNeedZero[j] ? 1 : -1;
            }
         }
      }

      for (int i=0; i<numRows; i++)
      {
         StringBuilder sb = new StringBuilder();
         for (int j=0; j<numCols; j++)
            sb.append(grid[i][j]);
         out.println(sb);
      }

   }
}

class FastScanner{
    private InputStream stream;
    private byte[] buf = new byte[1024];
    private int curChar;
    private int numChars;
    
    public FastScanner(InputStream stream)
    {
        this.stream = stream;
    }
    
    int read()
    {
        if (numChars == -1)
            throw new InputMismatchException();
        if (curChar >= numChars){
            curChar = 0;
            try{
                numChars = stream.read(buf);
            } catch (IOException e) {
                throw new InputMismatchException();
            }
            if (numChars <= 0)
                return -1;
        }
        return buf[curChar++];
    }
    
    boolean isSpaceChar(int c)
    {
        return c==' '||c=='\n'||c=='\r'||c=='\t'||c==-1;
    }
    
    boolean isEndline(int c)
    {
        return c=='\n'||c=='\r'||c==-1;
    }
    
    int nextInt()
    {
        return Integer.parseInt(next());
    }
    
    long nextLong()
    {
        return Long.parseLong(next());
    }
    
    double nextDouble()
    {
        return Double.parseDouble(next());
    }
    
    String next(){
        int c = read();
        while (isSpaceChar(c))
            c = read();
        StringBuilder res = new StringBuilder();
        do{
            res.appendCodePoint(c);
            c = read();
        }while(!isSpaceChar(c));
        return res.toString();
    }
    
    String nextLine(){
        int c = read();
        while (isEndline(c))
            c = read();
        StringBuilder res = new StringBuilder();
        do{
            res.appendCodePoint(c);
            c = read();
        }while(!isEndline(c));
        return res.toString();
    }
}
